Entities/Ticket.cs
using AirWaze.Areas.Identity.Data;
using System.ComponentModel.DataAnnotations;

namespace AirWaze.Entities
{
    public class Ticket
    {
        [Key]
        public int TicketID { get; set; }
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public ApplicationUser CurrentUser { get; set; }
        public string LastName { get; set; }
        public string FirstName { get; set; }
        public decimal Price { get; set; }
        public bool FirstClass { get; set; }
        public string Seat { get; set; }
        public bool ExtraLuggage { get; set; }
        public int Status { get; set; }
        /* 
         * 0 = generated, not paid
         * 1 = generated, paid
         * 2 = checked in
         * 3 = boarded
         * 4 = refunded (customer request)
         * 5 = cancelled (airport request)
         */
    }
}

Models/Ticket/TicketCreateViewModel.cs
using AirWaze.Entities;
using System.ComponentModel.DataAnnotations;

namespace AirWaze.Models
{
    public class TicketCreateViewModel
    {
        public string? TicketNr { get; set; }

        [Required(ErrorMessage = "A departure time must be selected!")]
        public DateTime Departure { get; set; }

        [Required(ErrorMessage = "A destination must be selected!")]
        public string Destination { get; set; }

        [MinLength(1, ErrorMessage = "Minimum 1 character!")]
        [MaxLength(20, ErrorMessage = "Maximum 20 characters!")]
        [Required(AllowEmptyStrings = false, ErrorMessage = "Last name is required!")]
        public string LastName { get; set; }

        [MinLength(1, ErrorMessage = "Minimum 1 character!")]
        [MaxLength(20, ErrorMessage = "Maximum 20 characters!")]
        [Required(AllowEmptyStrings = false, ErrorMessage = "First name is required!")]
        public string FirstName { get; set; }
        public decimal Price { get; set; }
        public bool FirstClass { get; set; }
        public string? Seat { get; set; }
        public bool ExtraLuggage { get; set; }
    }
}

Models/Ticket/TicketDeleteViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketDeleteViewModel
    {
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public string LastName { get; set; }
        public string FirstName { get; set; }
    }
}

Models/Ticket/TicketDetailViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketDetailViewModel
    {
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public string LastName { get; set; }
        public string FirstName { get; set; }
        public decimal Price { get; set; }
        public bool FirstClass { get; set; }
        public string Seat { get; set; }
        public bool ExtraLuggage { get; set; }
    }
}

Models/Ticket/TicketEditViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketEditViewModel
    {
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public string LastName { get; set; }
        public string FirstName { get; set; }
        public decimal Price { get; set; }
        public bool FirstClass { get; set; }
        public string Seat { get; set; }
        public bool ExtraLuggage { get; set; }
    }
}

Models/Ticket/TicketFlightPickerViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketFlightPickerViewModel
    {
        public List<Flight> flightList { get; set; }

        public string TicketNr { get; set; }
    }
}

Models/Ticket/TicketListViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketListViewModel
    {
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public string LastName { get; set; }
        public string FirstName { get; set; }
        public int Status { get; set; }
    }
}

Models/Ticket/TicketPaymentViewModel.cs
using AirWaze.Entities;

namespace AirWaze.Models
{
    public class TicketPaymentViewModel
    {
        public string TicketNr { get; set; }
        public Flight CurrentFlight { get; set; }
        public bool FirstClass { get; set; }
        public bool ExtraLuggage { get; set; }
        public decimal Price { get; set; }
    }
}

Controllers/TicketController.cs
using AirWaze.Areas.Identity.Data;
using AirWaze.Database.Design;
using AirWaze.Entities;
using AirWaze.Models;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using System.Security.Claims;

namespace AirWaze.Controllers
{
    [Authorize(Roles = "Admin, Customer")]
    public class TicketController : Controller
    {
        private readonly UserManager<AirWazeUser> _userManager;
        private readonly IAirWazeDatabase database;
        private static List<Ticket> loadedTickets = new List<Ticket>();
        public static List<Destination> allDestinations = new List<Destination>();
        public static List<Flight> allFlights = new List<Flight>();
        public static List<TicketCreateViewModel> ticketsToHandle = new List<TicketCreateViewModel>();
        public static List<Ticket> TicketsFromSeatpicker = new List<Ticket>();
        public static List<Ticket> TicketsForSeatpicker = new List<Ticket>();
        static ApplicationUser myUser;
        private Random random = new Random();

        public TicketController(IAirWazeDatabase db, UserManager<AirWazeUser> userManager)
        {
            _userManager = userManager;
            database = db;
            if(allDestinations.Count == 0)
            {
                allDestinations = database.GetDestinations();
            }
            
            //myUser = HttpContext.User;
            //myUser = database.GetUserByID(HttpContext.Session.GetString("user_id"));
            
        }

        public async void GetUser()
        {
            string myUserId = _userManager.GetUserId(User);
            myUser = database.GetUserByID(myUserId);
            if (loadedTickets.Count == 0)
            {
                LoadTicketList(myUser);
            }
        }

       

        


        public IActionResult Index()
        {
            GetUser();
            return View();
        }

        public IActionResult List(string option, string searchString)
        {
            ViewData["CurrentFilter"] = searchString;
            GetUser();
            List<TicketListViewModel> list = new List<TicketListViewModel>();
            foreach (var ticket in loadedTickets)
            {
                if (ticket.CurrentUser.Id == myUser.Id)
                {
                    list.Add(new TicketListViewModel()
                    {
                        TicketNr = ticket.TicketNr,
                        CurrentFlight = ticket.CurrentFlight,
                        LastName = ticket.LastName,
                        FirstName = ticket.FirstName,
                        Status = ticket.Status
                    });
                }
            }
            //searchfunction
            var myTicket = from s in list
                           select s;

            if (!String.IsNullOrEmpty(searchString))
            {
                if (option == "Destination")
                {
                    myTicket = myTicket.Where(s => s.CurrentFlight.Destination.Name.Contains(searchString));
                }
                else if (option == "Date")
                {
                    myTicket = myTicket.Where(s => s.CurrentFlight.Departure.ToString("dd/MM/yyyy").Contains(searchString) || s.CurrentFlight.Departure.ToString("dd-MM-yyyy").Contains(searchString)).ToList();
                }
                else if (option == "Name")
                {
                    myTicket = myTicket.Where(s => s.LastName.Contains(searchString) || s.FirstName.Contains(searchString));
                }
            }
            return View(myTicket.ToList());
        }

        [HttpGet]
        public IActionResult Create()
        {
            GetUser();
            return View(new TicketCreateViewModel());
        }

        [ValidateAntiForgeryToken]
        [HttpPost]
        public async Task<IActionResult> Create(TicketCreateViewModel newTicket)
        {
            await Task.Delay(1500);
            if (TryValidateModel(newTicket))
            {
                newTicket.TicketNr = $"NOTASSIGNED{ticketsToHandle.Count}";
                ticketsToHandle.Add(newTicket);
                LoadTicketList(myUser);
                return Redirect($"FlightPicker/{newTicket.TicketNr}");
            }
            return View(newTicket);
        }

        [HttpGet]
        [Route("Ticket/FlightPicker/{ticketNr}")]
        public IActionResult FlightPicker(string ticketNr)
        {
            TicketCreateViewModel toHandle = ticketsToHandle.Single(x => x.TicketNr == ticketNr);
            TicketFlightPickerViewModel flightPicker = new TicketFlightPickerViewModel()
            {
                flightList = database.GetFlightsByParams(toHandle.Departure, 3, toHandle.Destination),
                TicketNr = ticketNr
            };

            if(flightPicker.flightList.Count > 0)
            {
                return View(flightPicker);
            }
            else
            {
                ticketsToHandle.Remove(toHandle);
                return RedirectToAction("Create", toHandle);
            }           
        }

        public IActionResult Detail(string ID)
        {
            Ticket loadedTicket = loadedTickets.Single(x => x.TicketNr == ID);
            TicketDetailViewModel detailTicket = new TicketDetailViewModel()
            {
                TicketNr = loadedTicket.TicketNr,
                CurrentFlight = loadedTicket.CurrentFlight,
                LastName = loadedTicket.LastName,
                FirstName = loadedTicket.FirstName,
                Price = loadedTicket.Price,
                FirstClass = loadedTicket.FirstClass,
                Seat = loadedTicket.Seat,
                ExtraLuggage = loadedTicket.ExtraLuggage
            };
            return View(detailTicket);
        }

        [HttpGet]
        public IActionResult Edit(string ID)
        {
            Ticket loadedTicket = loadedTickets.Single(x => x.TicketNr == ID);
            TicketEditViewModel editTicket = new TicketEditViewModel()
            {
                TicketNr = loadedTicket.TicketNr,
                CurrentFlight = loadedTicket.CurrentFlight,
                LastName = loadedTicket.LastName,
                FirstName = loadedTicket.FirstName,
                Price = loadedTicket.Price,
                FirstClass = loadedTicket.FirstClass,
                Seat = loadedTicket.Seat,
                ExtraLuggage = loadedTicket.ExtraLuggage,
            };
            return View(editTicket);
        }
        
        [ValidateAntiForgeryToken]
        [HttpPost]
        public async Task<IActionResult> Edit(string ID, TicketEditViewModel editedTicket)
        {
            await Task.Delay(1500);
            Ticket loadedTicket = loadedTickets.Single(x => x.TicketNr == ID);
            loadedTicket.LastName = editedTicket.LastName;
            loadedTicket.FirstName = editedTicket.FirstName;
            database.UpdateTicket(loadedTicket);
            return RedirectToAction("List");
        }

        public IActionResult Delete(string ID)
        {
            Ticket loadedTicket = loadedTickets.Single(x => x.TicketNr == ID);
            TicketDeleteViewModel deleteTicket = new TicketDeleteViewModel()
            {
                TicketNr = loadedTicket.TicketNr,
                CurrentFlight = loadedTicket.CurrentFlight,
                LastName = loadedTicket.LastName,
                FirstName = loadedTicket.FirstName
            };
            LoadTicketList(myUser);
            return View(deleteTicket);
        }

        public async Task<IActionResult> ConfirmedDelete(string ID)
        {
            await Task.Delay(1500);
            database.RemoveTicket(loadedTickets.Single(x => x.TicketNr == ID));
            LoadTicketList(myUser);
            return RedirectToAction("List");
        }

        public async Task<IActionResult> Payment(string ID, string ticket)
        {
            await Task.Delay(1500);
            TicketCreateViewModel toHandle = ticketsToHandle.Single(x => x.TicketNr == ticket);
            Flight chosenFlight = database.GetFlightByNr(ID);
            string ticketnr = GenerateTicketNumber(chosenFlight);
            string seat = GenerateSeatNumber(chosenFlight);
            toHandle.Price = toHandle.FirstClass ? (toHandle.ExtraLuggage ? chosenFlight.Destination.Distance * (decimal)0.07 + 75 : chosenFlight.Destination.Distance * (decimal)0.07) : (toHandle.ExtraLuggage ? chosenFlight.Destination.Distance * (decimal)0.05 + 75 : chosenFlight.Destination.Distance * (decimal)0.05);
            GetUser();
            loadedTickets.Add(new Ticket()
            {
                TicketNr = ticketnr,
                CurrentFlight = chosenFlight,
                CurrentUser = myUser,
                LastName = toHandle.LastName,
                FirstName = toHandle.FirstName,
                Price = toHandle.Price,
                FirstClass = toHandle.FirstClass,
                Seat = seat,
                ExtraLuggage = toHandle.ExtraLuggage,
                Status = 0
            });
            TicketPaymentViewModel payTicket = new TicketPaymentViewModel()
            {
                TicketNr = ticketnr,
                CurrentFlight = chosenFlight,
                Price = toHandle.Price,
                FirstClass = toHandle.FirstClass,
                ExtraLuggage = toHandle.ExtraLuggage
            };
            return View(payTicket);
        }

        public IActionResult ConfirmedPayment(string ID)
        {
            Ticket newTicket = loadedTickets.Single(x => x.TicketNr == ID);
            newTicket.Status = 1;
            if(database.AddTicket(newTicket) <= 0)
            {
                LoadTicketList(myUser);
            }
            
            return RedirectToAction("List");
        }

        [Route("SeatPicker")]
        public IActionResult SeatPicker(string ID)
        {

Views/Ticket/Create.cshtml
@using AirWaze.Controllers
@using AirWaze.Entities
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

@model TicketCreateViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css"  />
</head>
<div class="filler"></div>
<main>
    
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
        <form asp-controller="Ticket" asp-action="Create" method="post">
    <div class="form-group">
        <label asp-for="LastName">Last Name</label>
        <input class="form-control" asp-for="LastName"/>
        <span class="text-danger" asp-validation-for="LastName"></span>
    </div>
    <div class="form-group">
        <label asp-for="FirstName">First Name</label>
        <input class="form-control" asp-for="FirstName"/>
        <span class="text-danger" asp-validation-for="FirstName"></span>
    </div>
    <p>Flight Information</p>
    <div class="form-group">
        <label>Available Destinations:</label>
        <br />
        <select name="Destination">
            @foreach(var item in @TicketController.allDestinations)
            {
                 <option value=@item.Name>@item.Name</option>
            }
        </select>
    </div>
    <br />
    <br />
    <div class="form-group">
        <label asp-for="FirstClass">Preferred time of departure</label>
        <input asp-for="Departure" value="@DateTime.Today.ToString("yyyy-MM-dd")"/>
    </div>


    <div class="form-group">
        <input asp-for="FirstClass"/>
        <label asp-for="FirstClass">First Class?</label>
    </div>
    <div class="form-group">
        <input asp-for="ExtraLuggage"/>
        <label asp-for="ExtraLuggage">Extra Luggage?</label>
    </div>

    <button class="btn btn-primary" type="submit">Create Ticket</button>
</form>
    </div>
    </div>
</main>

Views/Ticket/Delete.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
@model TicketDeleteViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css" asp-append-version="true" />
</head>
<div class="filler"></div>
<main>
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
<h1>Cancelling your ticket</h1>
<h2>Ticket Information</h2>
<p>Name: @Model.LastName @Model.FirstName</p>
<p>Flight Destination: @Model.CurrentFlight.Destination.Name</p>
<p>Flight Departure: @Model.CurrentFlight.Departure</p>

<a class="btn btn-danger" onclick="message()" asp-action="ConfirmedDelete" asp-route-ID="@Model.TicketNr">Cancel Ticket</a>
<a class="btn btn-primary" asp-action="List">Go Back</a>
</div>
</div>
</main>
<script type="text/javascript">
        function message()
        {
            Swal.fire({                   
                    position: 'center',
                    icon: 'error',
                    title: 'Ticket Deleted',
                    showConfirmButton: false,
                    timer: 1500                 
                    });
        }
    </script>

Views/Ticket/Detail.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
@model TicketDetailViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css" asp-append-version="true" />
</head>
<div class="filler"></div>
<main>
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
<h1>Ticket @Model.TicketNr</h1>
<p>Name: @Model.LastName @Model.FirstName</p>
<p>Destination: @Model.CurrentFlight.Destination.Name</p>
<p>Departure: @Model.CurrentFlight.Departure</p>
<p>Airline: @Model.CurrentFlight.CurrentPlane.CurrentAirline.Name</p>
<p>Seat: @Model.Seat</p>
@if (Model.FirstClass)
    {
        <p>Class: First Class</p>
    }
    else
    {
        <p>Class: Economy</p>
    }
@if (Model.ExtraLuggage)
    {
        <p>Extra Luggage: Yes</p>
    }
    else
    {
        <p>Extra Luggage: No</p>
    }
<p>Price: € @Model.Price.ToString("F2")</p>

<a class="btn btn-primary" asp-controller="Ticket" asp-action="List">Return</a>
<a class="btn btn-primary" asp-controller="Ticket" asp-action="Edit" asp-route-ID="@Model.TicketNr">Change Passenger Information</a>
<a class="btn btn-danger" asp-controller="Ticket" asp-action="Delete" asp-route-ID="@Model.TicketNr">Delete</a>
</div></div>
</main>

Views/Ticket/Edit.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
@model TicketEditViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css" asp-append-version="true" />
</head>
<div class="filler"></div>
<main>
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
<h1>Change Ticket @Model.TicketNr</h1>

<form asp-controller="Ticket" asp-action="Edit" method="post">
    <div class="form-group">
        <label asp-for="LastName">Last Name</label>
        <input class="form-control" asp-for="LastName"/>
        <span class="text-danger" asp-validation-for="LastName"></span>
    </div>
    <div class="form-group">
        <label asp-for="FirstName">First Name</label>
        <input class="form-control" asp-for="FirstName"/>
        <span class="text-danger" asp-validation-for="FirstName"></span>
    </div>

    <button class="btn btn-primary" onclick="message()" type="submit">Save Ticket</button>
</form>
</div></div>
</main>
<script type="text/javascript">
        function message()
        {
            Swal.fire({                   
                    position: 'center',
                    icon: 'success',
                    title: 'Ticket Modified',
                    showConfirmButton: false,
                    timer: 1500                 
                    });
        }
    </script>

Views/Ticket/FlightPicker.cshtml
@using AirWaze.Entities
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
@model TicketFlightPickerViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css" asp-append-version="true" />
</head>
<div class="filler"></div>
<main>
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
<table class="table">
    <tr>
        <th>Airline</th>
        <th>Destination</th>
        <th>Departure time</th>
        <th></th>
    </tr>
    @foreach (var flight in Model.flightList)
    {
        <tr>
            <td>@flight.CurrentPlane.CurrentAirline.Name</td>
            <td>@flight.Destination.Name</td>
            <td>@flight.Departure</td>
            <td><a class="btn btn-primary" asp-action="Payment" asp-route-ID="@flight.FlightNr" onclick="message()" asp-route-ticket="@Model.TicketNr" style="color:black">Select</a></td>
        </tr>
    }
</table>
</div>
</div>
<a class="btn btn-primary" asp-action="Create">Go Back</a>

</main>
<script type="text/javascript">
        function message()
        {
            Swal.fire({                   
                    position: 'center',
                    icon: 'success',
                    title: 'Ticket Created',
                    showConfirmButton: false,
                    timer: 1500                 
                    });
        }
    </script>

Views/Ticket/Index.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}
<main>
    <div class="slider-height d-flex align-items-center">
<a asp-action="Create">New Ticket</a>
<a asp-action="List">All Tickets</a>
</div>
</main>

Views/Ticket/List.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

@model List<TicketListViewModel>
<head>
    <link rel="stylesheet" href="~/css/Tijs.css"  />
</head>

<div class="filler"></div>
<main>
<div class="slider-height flex align-items-top">
    
    <div class="listContainer">
  @*searchfunction*@
    <form asp-action="List" method="get">
        <div class="form-actions no-color">
            <p>
                Search by: &nbsp;
                @Html.RadioButton("option", "Name") Name &nbsp;
                @Html.RadioButton("option", "Destination") Destination &nbsp;
                @Html.RadioButton("option", "Date") Date &nbsp; &nbsp;*
                <input type="text" name="SearchString" value="@ViewData["CurrentFilter"]" /> &nbsp;
                <input class="btn btn-primary" type="submit" value="Search"/> &nbsp;
                <a href="/Ticket/List" class="btn btn-primary">Show all tickets</a> 
            </p>
        </div>
    </form>
    <br/>
    <table class="table">
        <tr>
            <th>Ticket Number</th>
            <th>Destination</th>
            <th>Departure</th>
            <th>Name</th>
            <th>Status</th>
            <th></th>
        </tr>
        @foreach(var ticket in Model)
        {
            <tr>
                <td>@ticket.TicketNr</td>
                <td>@ticket.CurrentFlight.Destination.Name</td>
                <td>@ticket.CurrentFlight.Departure</td>
                <td>@ticket.LastName @ticket.FirstName</td>
                @{switch (ticket.Status)
                    {
                        case 1:
                            <td>Paid</td>
                            break;
                        case 3:
                            <td>Boarded</td>
                            break;
                        case 4:
                        case 5:
                            <td>Cancelled</td>
                            break;
                    }
                }
                <td><a class="btn btn-primary" asp-action="Detail" asp-route-ID="@ticket.TicketNr">Details</a></td>
            </tr>
        }

    </table>
    </div>
</div>
</main>

Views/Ticket/Payment.cshtml
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

@model TicketPaymentViewModel
<head>
    <link rel="stylesheet" href="~/css/Tijs.css" asp-append-version="true" />
</head>
<div class="filler"></div>
<main>
    <div class="slider-height d-flex align-items-top">
        <div class="listContainer">
<h1>Payment</h1>
<p>Destination: @Model.CurrentFlight.Destination.Name</p>
<p>Departure: @Model.CurrentFlight.Departure</p>
@if (Model.FirstClass) { <p>First Class</p> } else { <p>Economy</p> }
@if (Model.ExtraLuggage) { <p>with extra luggage</p> } else { <p>with standard luggage</p> }
<h2>Total Price: € @Model.Price.ToString("F2")</h2>
@if(Model.CurrentFlight.CurrentPlane.Type == "A319")
{
    <a class="btn btn-primary" asp-action="SeatPicker" asp-route-ID="@Model.TicketNr">Pick Ticket</a>
}
else
{
    <a class="btn btn-primary" asp-action="ConfirmedPayment" asp-route-ID="@Model.TicketNr">Pay Now</a>
}

<a class="btn btn-danger" asp-action="Delete" asp-route-ID="@Model.TicketNr">Abort</a>
</div>
</div>
</main>

Views/Ticket/SeatPicker.cshtml
@using AirWaze.Components;

@using Microsoft.AspNetCore.Components.Authorization
@using Microsoft.AspNetCore.Components.Forms
@using Microsoft.AspNetCore.Components.Web
@using Microsoft.AspNetCore.Http.Extensions
@using Microsoft.AspNetCore.Authorization;
@using Microsoft.AspNetCore.Identity;
@using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
@using Microsoft.AspNetCore.Mvc;




@{
    ViewData["Title"] = "Home Page";
}

<head>

    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/AirWaze.styles.css" asp-append-version="true" /> 

     <link rel="stylesheet" href="~/AirWaze.styles.css" asp-append-version="true" />    
     <link rel="stylesheet" href="~/js/sweetalert2.min.css" />     
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">

    <link rel="stylesheet" href="~/css/bootstrap.min.css">      
    <link rel="stylesheet" href="~/css/owl.carousel.min.css">
    <link rel="stylesheet" href="~/css/slicknav.css">
    <link rel="stylesheet" href="~/css/animate.min.css">
    <link rel="stylesheet" href="~/css/magnific-popup.css">
    <link rel="stylesheet" href="~/css/fontawesome-all.min.css">
    <link rel="stylesheet" href="~/css/themify-icons.css">
    <link rel="stylesheet" href="~/css/slick.css">
    <link rel="stylesheet" href="~/css/nice-select.css">
    <link rel="stylesheet" href="~/css/style.css">
    <link rel="stylesheet" href="~/css/flaticon.css">
    <link rel="stylesheet" href="~/css/main.css">
    <link rel="stylesheet" href="~/css/price_rangs.css">
    <link rel="stylesheet" href="~/css/normalize.min.css">
    <link rel="stylesheet" href="~/css/mainbis.css">
    <link rel="stylesheet" href="~/css/responsive.css">
    <link rel="stylesheet" href="~/css/style.css">
    <link rel="stylesheet" href="~/css/navbar.css">

     <link rel="stylesheet" href="~/css/Gps.css">



 <script src="_content/BrowserInterop/scripts.js"></script>
<script src="_content/Blazor.Extensions.Canvas/blazor.extensions.canvas.js"></script>
<script src="_content/Blazored.Modal/blazored.modal.js"></script>
 <script src="_framework/blazor.server.js"></script>
</head>

@*Hierboven links naar de respective stylesheets en inladen van de scripts en extensions voor de Blazor Component.
Hieronder wordt hij gecalled in de main @RenderBody metho in _layout. Blazorscript dient daar ook toegevoegd te worden.
Ook aanpassen in program.cs en rekening houden met routing, zeker bij use buiten homecontroller*@

@(await Html.RenderComponentAsync<Seatpicker>(RenderMode.Server))